@echo off
set /p pass="Enter certificate password: "
call tizen\tizen-studio\tools\ide\bin\tizen.bat cli-config -- .\tizen "default.profiles.path=..\..\..\..\profiles.xml"
call tizen\tizen-studio\tools\ide\bin\tizen.bat security-profiles add -- .\tizen -f -n MyProfile -a ..\..\..\..\..\cert\author.p12 -p %pass% -d ..\..\..\..\..\cert\distributor.p12 -dp %pass%

for  %%f in (.\sign_me\*.tpk) do (
call tizen\tizen-studio\tools\ide\bin\tizen.bat package -t tpk -s MyProfile -- "%%f" -o .\install_me\
)

for  %%f in (.\sign_me\*.wgt) do (
call tizen\tizen-studio\tools\ide\bin\tizen.bat package -t wgt -s MyProfile -- "%%f" -o .\install_me\
)

for /D %%d in (.\sign_me\*) do (
IF EXIST %%d\config.xml (
   cd %%d
   call "..\..\7zipcli\7za.exe" a "..\%%~nd_zip.zip" *
   cd ..
   move "%%~nd_zip.zip" "%%~nd_wgt.wgt"
   cd ..
   call tizen\tizen-studio\tools\ide\bin\tizen.bat package -t wgt -s MyProfile --  ".\sign_me\%%~nd_wgt.wgt" -o .\install_me\
   del ".\sign_me\%%~nd_wgt.wgt"
) ELSE ( 
IF EXIST %%d\tizen-manifest.xml (
   cd %%d
   call "..\..\7zipcli\7za.exe" a "..\%%~nd_zip.zip" *
   cd ..
   move "%%~nd_zip.zip" "%%~nd_tpk.tpk"
   cd ..
   call tizen\tizen-studio\tools\ide\bin\tizen.bat package -t tpk -s MyProfile --  ".\sign_me\%%~nd_tpk.tpk" -o .\install_me\
   del ".\sign_me\%%~nd_tpk.tpk"
)
)
)

pause